# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename window-size

Name:               nodejs-window-size
Version:            0.1.0
Release:            4%{?dist}
Summary:            Get the height and width of the terminal in a node.js environment

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/window-size
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
Reliable way to to get the height and width of the terminal/console in a
node.js environment.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/window-size
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/window-size

%nodejs_symlink_deps

%files
%license LICENSE-MIT
%doc README.md
%{nodejs_sitelib}/window-size/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 09 2015 Ralph Bean <rbean@redhat.com> - 0.1.0-2
- Move LICENSE out into the %%license macro.

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.1.0-1
- Initial packaging for Fedora.
